Community Packages

Please read this before reporting a bug:

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!

FS#29429 - [krusader] editor options are not saved

Attached to Project: Community Packages
Opened by Karol (Kudlaty) - Friday, 13 April 2012, 12:40 GMT
Last edited by Lukas Jirkovsky (6xx) - Friday, 19 October 2012, 08:17 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Lukas Jirkovsky (6xx)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No


Krusader editor options are not saved.

Additional info:
2.4.0beta1-5 * package version(s)
(on Debian, same version of Krusader and everything works)

Steps to reproduce:
open some source file for edit, change options in editor like show line number, highlihg bracket, remove trailing spaces
then close editor, close krusader
open krusader, open source file and again You must change settings
This task depends upon

Closed by  Lukas Jirkovsky (6xx)
Friday, 19 October 2012, 08:17 GMT
Reason for closing:  Upstream
Additional comments about closing:  Please discuss the bug report upstream (see the last comment)
Comment by Ike Devolder (BlackEagle) - Friday, 13 April 2012, 16:15 GMT
the debian package has some extra fixes wich can be found in the git tree

this is the last commit taken in by debian

you could try krusader-git from aur and report back if it is solved there (if you want to)
Comment by Karol (Kudlaty) - Tuesday, 17 April 2012, 15:11 GMT
krusader-git is not compiling cos of:
AUR/krusader-git/src/krusader/krusader/UserAction/tstring.h:128:9: error: ‘make_pair’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
Comment by Karol (Kudlaty) - Tuesday, 17 April 2012, 16:00 GMT
ok, compiling error fixed by changing:
make_pair => std::make_pair

and unfortunatly krusader-git also have this bug...
Comment by Gonzalo (ChichipioWilson) - Monday, 14 May 2012, 17:40 GMT
I stumbled upon this report while I was looking for a solution to this problem. In case someone else finds it the same way, I thought it might be useful to share the workaround I used.
- First, I configured all the options I wanted to change by configuring them in kate. (open kate, then go to setting -> configure kate...)
- Then I opened ~/.kde4/share/config/katerc and copied everything included in these keys:
[Kate Document Defaults]
[Kate Part Defaults]
[Kate Renderer Defaults]
[Kate Vi Input Mode Settings]
[Kate View Defaults]

to ~/.kde4/share/config/krusaderrc

The good thing is that once those settings are in the config file, you can edit them just fine from "configure editor..." without having to edit the config file manually.
Comment by Lukas Jirkovsky (6xx) - Saturday, 13 October 2012, 06:57 GMT
It's still present with 2.4.0 beta2.

There's also an upstream report:
please vote&write your findings there.